Compatibility with FF3.5 Rated 5 out of 5 stars

This is the best FF skin for me. If you want to find a version compatible with FF3.5 click on "See All Versions" hyperlink and you will find iFox Metal version 3.5 (experimental). So far it works for me without any problems. (I think you have to be a registered user of this website to install experimental add-ons.)